petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSComputeIFunctionLinear

Evaluate the left hand side via the user-provided Jacobian, for linear problems only

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeIFunctionLinear(TS ts,PetscReal t,Vec U,Vec Udot,Vec F,void *ctx)

Collective on TS Many br

### Input Arguments

| ts | - time stepping context Many br
| t | - time at which to evaluate Many br
| U | - state at which to evaluate Many br
| Udot | - time derivative of state vector Many br
| ctx | - context Many br

### Output Arguments

F -left hand side Many br

Many br

### Notes

The assumption here is that the left hand side is of the form A*Udot (and not A*Udot + B*U). For other cases, the Many bruser is required to write their own TSComputeIFunction. Many brThis function is intended to be passed to TSSetIFunction() to evaluate the left hand side for linear problems. Many brThe matrix (and optionally the evaluation context) should be passed to TSSetIJacobian(). Many br

Note that using this function is NOT equivalent to using TSComputeRHSFunctionLinear() since that solves Udot = A U Many br

### See Also

TSSetIFunction(), TSSetIJacobian(), TSComputeIJacobianConstant(), TSComputeRHSFunctionLinear()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages